curl "https://api.saturn-pay.com/v1/wallet/invoices?status=paid&limit=10" \
-H "Authorization: Bearer sk_agt_..."
const response = await fetch('https://api.saturn-pay.com/v1/wallet/invoices?status=paid', {
headers: { 'Authorization': 'Bearer sk_agt_...' }
});
const { invoices } = await response.json();
{
"invoices": [
{
"id": "inv_abc123",
"type": "lightning",
"amountSats": 10000,
"status": "paid",
"createdAt": "2024-01-19T10:00:00Z",
"paidAt": "2024-01-19T10:01:23Z"
},
{
"id": "inv_def456",
"type": "card",
"amountUsdCents": 2500,
"status": "paid",
"createdAt": "2024-01-18T14:30:00Z",
"paidAt": "2024-01-18T14:32:00Z"
}
],
"total": 2,
"limit": 50,
"offset": 0
}
Wallets
List Invoices
List all funding invoices
GET
/
v1
/
wallet
/
invoices
curl "https://api.saturn-pay.com/v1/wallet/invoices?status=paid&limit=10" \
-H "Authorization: Bearer sk_agt_..."
const response = await fetch('https://api.saturn-pay.com/v1/wallet/invoices?status=paid', {
headers: { 'Authorization': 'Bearer sk_agt_...' }
});
const { invoices } = await response.json();
{
"invoices": [
{
"id": "inv_abc123",
"type": "lightning",
"amountSats": 10000,
"status": "paid",
"createdAt": "2024-01-19T10:00:00Z",
"paidAt": "2024-01-19T10:01:23Z"
},
{
"id": "inv_def456",
"type": "card",
"amountUsdCents": 2500,
"status": "paid",
"createdAt": "2024-01-18T14:30:00Z",
"paidAt": "2024-01-18T14:32:00Z"
}
],
"total": 2,
"limit": 50,
"offset": 0
}
Returns a list of all Lightning invoices and card payment sessions for your account.
Query Parameters
string
Filter by status:
pending, paid, expirednumber
Maximum number of results (default: 50, max: 100)
number
Number of results to skip (for pagination)
Response
array
curl "https://api.saturn-pay.com/v1/wallet/invoices?status=paid&limit=10" \
-H "Authorization: Bearer sk_agt_..."
const response = await fetch('https://api.saturn-pay.com/v1/wallet/invoices?status=paid', {
headers: { 'Authorization': 'Bearer sk_agt_...' }
});
const { invoices } = await response.json();
{
"invoices": [
{
"id": "inv_abc123",
"type": "lightning",
"amountSats": 10000,
"status": "paid",
"createdAt": "2024-01-19T10:00:00Z",
"paidAt": "2024-01-19T10:01:23Z"
},
{
"id": "inv_def456",
"type": "card",
"amountUsdCents": 2500,
"status": "paid",
"createdAt": "2024-01-18T14:30:00Z",
"paidAt": "2024-01-18T14:32:00Z"
}
],
"total": 2,
"limit": 50,
"offset": 0
}
⌘I